#
# spec file for package faces (Version 1.6.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yacc

Name:         faces
Summary:      A list monitor with a visual output
Version:      1.6.1
Release:      115
Copyright: freeware
Group: Applications/Internet
Source: ftp://ftp.cs.indiana.edu/pub/faces/faces/faces-%{version}.tar.bz2
Patch0: faces-%{version}-make.patch
Patch1: faces-%{version}-awk.patch
Patch2: faces-%{version}-string.patch
Patch3: faces-%{version}-fix.patch
Patch4: faces-%{version}-ikon2xbm.patch
Patch5: faces-%{version}-doc.patch
Patch6: faces-%{version}-compface.patch
Patch7: faces-%{version}-getcwd.patch
Patch8: faces-%{version}-ia64.patch
BuildRoot: /var/tmp/%{name}-build

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.
For support of the compression and the decompression of the face image
you'll need to install compface.

Authors:
--------
    Rich Burridge <Drichb@stard.Eng.Sun.COM>

SuSE series: xap

%prep
%setup -q -n faces
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5
%patch6
%patch7
#
%ifarch ia64
%patch8
%endif

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -f Makefile.dist x11

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}
make -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	install
mkdir -p $RPM_BUILD_ROOT/var/lib/faces

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
%doc %{_mandir}/man1/*
%doc README
/var/lib/*

%changelog -n faces
* Tue Apr 24 2001 - pmladek@suse.cz
- fixed call of getcwd
- fixed conversions int <-> pointer on ia64
* Mon Mar 12 2001 - pmladek@suse.cz
- new package
- main directory for face icons moved to /var/lib/
- fixed documentation
